Subject: bug#32221: closed (Re: [bug#32221] [PATCH 0/5] MariaDB updates)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 28 Jul 2018 15:40:02 +0000

Your bug report

#32221: [PATCH 0/5] MariaDB updates

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32221: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32221
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#32221] [PATCH 0/5] MariaDB updates
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Sat, 28 Jul 2018 17:39:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> These patches gives us more control of the MariaDB package.  In
> particular, we now invoke the test runner directly, so we can pass
> custom arguments; there's a phase for disabling plugins in an attempt
> to fix the armhf build; we now use system zlib, pcre, xz and snappy;
> and the package is ~37 MiB smaller thanks to a new "static" output.
>
> I've verified that 'qtbase' builds against this MariaDB.
>
> Marius Bakke (5):
>   gnu: mariadb: Disable plugin that fails on armhf.
>   gnu: mariadb: Run the full test suite.
>   gnu: mariadb: Update to 10.1.34.
>   gnu: mariadb: Remove some bundled libraries.
>   gnu: mariadb: Move static libraries to separate output.

I've pushed this patchset with slight modifications:

* Also unbundled YaSSL
* Deleted static library instead separate output

Subject: [PATCH 0/5] MariaDB updates
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Fri, 20 Jul 2018 13:35:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches gives us more control of the MariaDB package.  In
particular, we now invoke the test runner directly, so we can pass
custom arguments; there's a phase for disabling plugins in an attempt
to fix the armhf build; we now use system zlib, pcre, xz and snappy;
and the package is ~37 MiB smaller thanks to a new "static" output.

I've verified that 'qtbase' builds against this MariaDB.

Marius Bakke (5):
  gnu: mariadb: Disable plugin that fails on armhf.
  gnu: mariadb: Run the full test suite.
  gnu: mariadb: Update to 10.1.34.
  gnu: mariadb: Remove some bundled libraries.
  gnu: mariadb: Move static libraries to separate output.

 gnu/packages/databases.scm | 104 ++++++++++++++++++++++++++++++++++---
 1 file changed, 97 insertions(+), 7 deletions(-)

-- 
2.18.0